Name: suspend
Version: 0.18
Release: alt2

Summary: Tools for hibernate
License: GPL
Group: System/Kernel and hardware
Url: http://sourceforge.net/projects/swsusp/
Packager: Alex Yustasov <yust@altlinux.ru>

BuildArch: noarch

Source0: %name-%version.sh

Patch0:	 %name-%version-alt-fixes.patch

BuildPreReq: coreutils

Requires: XFree86-utils
# due to setsysfont
Requires: console-common-scripts
# due to fgconsole, chvt
Requires: console-vt-tools

%description
Tools for hibernate: install /usr/sbin/hibernate and a configuration
template as /etc/suspend.conf. To help suspension, it is strongly 
advisable to use automount for devices like cdrom floppy fat 
partitions, so that remount will automatically take place when 
needed. For the same purpose autoload of modules in kernel is a 
good point.

%prep
%__rm -rf %name-%version
%__mkdir %name-%version
pushd %name-%version
cp %SOURCE0 .
%patch0 -p0

%install
%__mkdir_p %buildroot%_sbindir
%__mkdir_p %buildroot%_sysconfdir
pushd %name-%version
./%name-%version.sh --buildroot=%buildroot --install

%files
%_sbindir/hibernate
%config(noreplace) %_sysconfdir/suspend.conf

%changelog
* Thu Apr  7 2005 Ivan Zakharyaschev <imz@altlinux.ru> 0.18-alt2
- requires console-common-scripts, console-vt-tools
  (instead of console-tools)

* Sat Feb 07 2004 Alex Yustasov <yust@altlinux.ru> 0.18-alt1
- 0.18 version

* Wed Oct 22 2003 Alex Yustasov <yust@altlinux.ru> 0.16-alt3
- fixed packager in changelog for alt2
- added SWSUSP_MOUNT_USING_AUTOFS="no"
- added pausing if SWSUSP_MOUNT_USING_AUTOFS="yes"

* Thu Oct 16 2003 Alex Yustasov <yust@altlinux.ru> 0.16-alt2
- fixed bug with BUILDROOT

* Thu Oct 16 2003 Alex Yustasov <yust@altlinux.ru> 0.16-alt1
- initial release. 0.16
- added buildroot parameter for suspend.sh
- removed checking for root
- removed installation for usleep
- added values for DISTRIB=ALTLinux
- if SWSUSP_LEAVE_X_BEFORE_SUSPEND="nvidia" - called xinit /bin/false
- if SWSUSP_INSERTMODS="modules" - reload modules from /etc/modules
- sync in SUSPEND()
- RemountDevices() before UnloadModules()
- removed changing for STOP_SERVICES_BEFORE_SUSPEND, 
  START_SERVICES_AFTER_RESUME, RESTART_SERVICES in suspend.sh
- added checking for exists services STOP_SERVICES_BEFORE_SUSPEND,
  START_SERVICES_AFTER_RESUME
